#pragma once

#include <unordered_map>

#include <KTextEditor/MainWindow>
#include <KTextEditor/Plugin>

#include <QList>

class KateColorPickerPlugin : public KTextEditor::Plugin
{
    Q_OBJECT
public:
    explicit KateColorPickerPlugin(QObject *parent = nullptr, const QList<QVariant> & = QList<QVariant>());
    ~KateColorPickerPlugin() override;

    QObject *createView(KTextEditor::MainWindow *mainWindow) override;
    void readConfig();

private:
    void addDocument(KTextEditor::Document *doc);

    int configPages() const override
    {
        return 0;
    }

    KTextEditor::MainWindow *m_mainWindow;
};
